La_library {base} | R Documentation

## LAPACK Library

### Description

Report the name of the shared object file with `LAPACK` implementation in use.

### Usage

    La_library()

### Value

A character vector of length one (`""` when the name is not known). The value can be used as an indication of which `LAPACK` implementation is in use. Typically, the R version of `LAPACK` will appear as `libRlapack.so` (`libRlapack.dylib`), depending on how R was built. Note that `libRlapack.so` (`libRlapack.dylib`) may also be shown for an external `LAPACK` implementation that had been copied, hard-linked or renamed by the system administrator. Otherwise, the shared object file will be given and its path/name may indicate the vendor/version. The detection does not work on Windows.

### See Also

`extSoftVersion` for versions of other third-party software including `BLAS`.

`La_version` for the version of LAPACK in use.

### Examples

    La_library()

[Package base version 3.6.0 Index]